import { jsx } from "react/jsx-runtime";
import { TokenWAM as TokenWAM$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenWAM = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "WAM", "data-name": "TokenWAM", ...props, children: /* @__PURE__ */ jsx(TokenWAM$1, { variant }) });
  }
);
TokenWAM.displayName = "TokenWAM";
Object.assign(TokenWAM, { isGdsIcon: true });
export {
  TokenWAM
};
